Skip to main content
PATCH
/
v1
/
payments
/
{id}
Patch Payment
curl --request PATCH \
  --url https://api.monime.io/v1/payments/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Monime-Space-Id: <monime-space-id>' \
  --data '
{
  "name": "<string>",
  "metadata": {}
}
'
import requests

url = "https://api.monime.io/v1/payments/{id}"

payload = {
    "name": "<string>",
    "metadata": {}
}
headers = {
    "Monime-Space-Id": "<monime-space-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {
    'Monime-Space-Id': '<monime-space-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({name: '<string>', metadata: {}})
};

fetch('https://api.monime.io/v1/payments/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "messages": [
    "<unknown>"
  ],
  "result": {
    "id": "<string>",
    "amount": {
      "currency": "<string>",
      "value": 123
    },
    "channel": {
      "type": "bank",
      "provider": "<string>",
      "reference": "<string>",
      "accountNumber": "<string>",
      "fingerprint": "<string>",
      "metadata": {}
    },
    "name": "<string>",
    "reference": "<string>",
    "orderNumber": "<string>",
    "financialAccountId": "<string>",
    "financialTransactionReference": "<string>",
    "fees": [
      {
        "code": "<string>",
        "amount": {
          "currency": "<string>",
          "value": 123
        },
        "metadata": {}
      }
    ],
    "createTime": "2023-11-07T05:31:56Z",
    "updateTime": "2023-11-07T05:31:56Z",
    "ownershipGraph": {
      "owner": {
        "id": "<string>",
        "type": "<string>",
        "metadata": {},
        "owner": {
          "id": "<string>",
          "type": "<string>",
          "metadata": {},
          "owner": "<unknown>"
        }
      }
    },
    "metadata": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer HTTP authentication specified with the header Authorization: Bearer <access_token>

Headers

Monime-Version
enum<string> | null

Specifies which version of the Monime API will handle this request.

Available options:
caph.2025-08-23,
caph.2025-06-20
Monime-Space-Id
string
required

The value is the tenancy parameter that Monime uses to determine which space the request is intended for.

Maximum string length: 64
Pattern: ^spc-.*$

Path Parameters

id
string
required

ID of the payment object to update.

Body

application/json

Updates mutable fields of a payment object like name, description, or metadata.

name
string | null

New label for the payment. Useful for reclassifying or tagging.

Maximum string length: 100
metadata
object | null

Structured metadata to enrich or tag the payment.

Response

200 - application/json

OK

success
boolean

Represents the status of the query operation, confirming if it was successful. This field is always true

messages
any[]

Contains a list of messages providing relevant information or feedback related to the query or operation

result
Payment · object

A Payment represents a customer payment made through Monime’s platform.
It captures high-level information about the user-initiated payment, including the amount, status, channel (e.g., Mobile Money, Card, Bank), associated order, fees applied, and links to downstream financial transactions.

The Payment is a business object — the single record developers and merchants interact with when tracking or reconciling user payments.
It should not be confused with Financial Transactions, which are lower-level, fine-grained ledger entries.
In fact, one Payment usually generates multiple Financial Transactions — for example:

  • A credit of the received funds into the merchant’s account.
  • One or more debits representing platform charges or processing fees.